using System;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("TempAttachment")]
    public class TempAttachment
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long TempAttachmentID { get; set; }

        [Required]
        [StringLength(255)]
        public string FileName { get; set; }

        [StringLength(200)]
        public string FileContentType { get; set; } 

        public byte[] FileContent { get; set; }

        [Required]
        [Column(TypeName = "datetime2")]
        public DateTime CreatedDateTime { get; set; }
        
    }
}
